> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Destinations



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/publications/destinations
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/publications/destinations:
    get:
      tags:
        - Brand Publications
        - Brand Publications
      summary: Destinations
      operationId: destinations_api_v1_brands__brand_id__publications_destinations_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: action
          in: query
          required: true
          schema:
            type: string
            enum:
              - social_publish
              - meta_creative_save
            title: Action
        - name: platform
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - facebook
                  - instagram
                type: string
              - type: 'null'
            title: Platform
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PublicationDestination'
                title: >-
                  Response Destinations Api V1 Brands  Brand Id  Publications
                  Destinations Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PublicationDestination:
      properties:
        id:
          type: string
          title: Id
        label:
          type: string
          title: Label
        platform:
          type: string
          enum:
            - facebook
            - instagram
          title: Platform
        action:
          type: string
          enum:
            - social_publish
            - meta_creative_save
          title: Action
        ready:
          type: boolean
          title: Ready
        reasons:
          items:
            type: string
          type: array
          title: Reasons
        connection_action:
          anyOf:
            - type: string
              enum:
                - connect_social
                - upgrade_meta_write
                - manage_connection
            - type: 'null'
          title: Connection Action
        connection_path:
          anyOf:
            - type: string
              pattern: ^/brands/[a-fA-F0-9-]+(?:[/?#].*)?$
            - type: 'null'
          title: Connection Path
      type: object
      required:
        - id
        - label
        - platform
        - action
        - ready
      title: PublicationDestination
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````